package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuMessageCollection extends AbstractObjectCollection 
{
    public FeishuMessageCollection()
    {
        super(FeishuMessageInfo.class);
    }
    public boolean add(FeishuMessageInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuMessageCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuMessageInfo item)
    {
        return removeObject(item);
    }
    public FeishuMessageInfo get(int index)
    {
        return(FeishuMessageInfo)getObject(index);
    }
    public FeishuMessageInfo get(Object key)
    {
        return(FeishuMessageInfo)getObject(key);
    }
    public void set(int index, FeishuMessageInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuMessageInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuMessageInfo item)
    {
        return super.indexOf(item);
    }
}